import { Text } from "@mantine/core";
import React from "react";

interface SeedBadgeProps {
  seed: number;
}

export const SeedBadge: React.FC<SeedBadgeProps> = ({ seed }) => {
  return (
    <Text
      size="xs"
      fw="bold"
      py="4"
      bg="var(--mantine-color-default-hover)"
      style={{
        width: "32px",
        textAlign: "center",
        color: "var(--mantine-color-text)",
        display: "flex",
        alignItems: "center",
        justifyContent: "center",
        borderTopLeftRadius: "var(--mantine-radius-default)",
        borderBottomLeftRadius: "var(--mantine-radius-default)",
      }}
    >
      {seed}
    </Text>
  );
};
